Change i18n in the iOS app to be "Publish" rather than "Save" where appropriate
Closed, ResolvedPublic

Description

Per the parent; we're expecting to do this on the site in the first week of September, so any time after that would be great.

(This'll also distinguish more clearly between saved offline pages and images against publishing online changes to pages, which is nice.)

From https://github.com/wikimedia/wikipedia-ios/blob/master/Wikipedia/Localizations/en.lproj/Localizable.strings I think the main strings to change are:

  • wikitext-upload-save
  • navbar-title-mode-edit-wikitext-save
  • navbar-title-mode-login-and-save
  • navbar-title-mode-create-account-and-save
  • button-save

For consistency, ideally we'd also change:

  • wikitext-upload-save-anonymously
  • abuse-filter-warning-heading
  • abuse-filter-disallow-heading

And possibly some places I missed.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 10 2016, 6:05 PM

Thanks @Jdforrester-WMF we'll aim to get this in our early September release.

JMinor removed the point value for this task.Aug 10 2016, 6:09 PM
Mhurd claimed this task.
Nicholas.tsg added a subscriber: Nicholas.tsg.EditedSep 10 2016, 12:34 AM

Testing on App version: 920.1, OS version: iOS 10.0.1 (14A403), Device: iPhone 6S.
Since there were no list of all the areas that may have been changed, I checked only one article on English Wikipedia, it shows a change from wording that it now says "Publish" so hopefully all other areas are fixed too. (I did not save/publish any changes.)

@Jdforrester-WMF after our discussion, I discovered this had already been merged and tested. Rather than revert I let it out into the world. Nobody has said anything, so hopefully we didn't ruin your plans.

JMinor closed this task as "Resolved".Sep 14 2016, 5:07 PM